<link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
    integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />

    <div *ngIf="images && images.length > 0" class="carousel-container">
        <img *ngFor="let image of images; let i=index"
             [src]="image.imageSrc" [alt]="image.imageAlt"
              [ngClass]="{'image-active': selectIndex === i }"
               >

        <div *ngIf="indicators" class="carousel-dot-container">
            <span *ngFor="let dot of images; let i=index" class="dot" [ngClass]="{'active': selectIndex === i}" (click)="selectImage(i)">

            </span>

        </div>

        <button *ngIf="controls" class="btn-carousel btn-prev">
            <i class="fas fa-arrow-circle-left icon-carousel icon-prev"
            (click)="onPrevClick()"></i>
        </button>
        <button *ngIf="controls" class="btn-carousel btn-next">
            <i class="fas fa-arrow-circle-right icon-carousel icon-next"
            (click)="onNextClick()"></i>
        </button>
    </div>
